Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_AccessControlList

    java.lang.Object

      |

      +--oracle.ifs.server.S_LibraryObject

            |

            +--oracle.ifs.server.S_TieLibraryObject

                  |

                  +--oracle.ifs.server.S_PublicObject

                        |

                        +--oracle.ifs.server.S_TiePublicObject

                              |

                              +--oracle.ifs.server.S_AccessControlList

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  S_TieAccessControlList

public class S_AccessControlList
extends S_TiePublicObject

Copyright (c) 1999 Oracle Corporation. All rights reserved. Server side representation of the AccessControlList class.

See Also:
  `S_LibraryService`, `S_LibrarySession`

Method Summary
`protected void` | `deriveDefinition(S_LibraryObjectDefinition def)` Add to the S_LibraryObjectDefinition for this class.
`protected void` | `extendedPreInsert(OperationState opState, S_LibraryObjectDefinition def)` Updates any system attributes appropriate for creating this object; in this case, set the is_shared attribute to true if it is not set explicitly.
`protected void` | `extendedPreUpdate(OperationState opState, S_LibraryObjectDefinition def)` Update any system attributes appropriate for updating this ACL
`S_AccessControlEntry[]` | `getAccessControlEntrys()` Returns the set of S_AccessControlEntry objects associated with this ACL.
`AccessLevel` | `getGrantedAccessLevel()` Returns the access level for the current user.
`AccessLevel` | `getGrantedAccessLevel(S_DirectoryUser user)` Returns the access level for the specified user.

Methods inherited from class oracle.ifs.server.S_PublicObject
`addRelationship, extendedPreFree, getCategories, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getReferencingFolders, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getVersionDescriptions, hasNameAttribute, isLocked, isVersionable, removeRelationship`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`equals, free, getAttribute, getAttributeByUpperCaseName, getClassId, getClassObject, getId, getSession, handleEvent, isTraced, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Method Detail

### deriveDefinition

    protected void deriveDefinition(S_LibraryObjectDefinition def)
                             throws IfsException

  Add to the S_LibraryObjectDefinition for this class. This this called by getDefinition() on S_LibraryObject. This must call super.deriveDefinition() before applying any class-specific changes to the S_LibraryObjectDefinition object.
  Overrides:
    `deriveDefinition` in class `S_PublicObject`
  Parameters:
    `def` - the definition of the target object.
  Throws:
    `IfsException` - if operation fails.

### extendedPreInsert

    protected void extendedPreInsert(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Updates any system attributes appropriate for creating this object; in this case, set the is_shared attribute to true if it is not set explicitly.
  Overrides:
    `extendedPreInsert` in class `S_PublicObject`
  Parameters:
    `opState` - current operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if operation fails.

### extendedPreUpdate

    protected void extendedPreUpdate(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Update any system attributes appropriate for updating this ACL
  Overrides:
    `extendedPreUpdate` in class `S_PublicObject`
  Parameters:
    `opState` - current operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if operation fails.

### getAccessControlEntrys

    public S_AccessControlEntry[] getAccessControlEntrys()
                                                  throws IfsException

  Returns the set of S_AccessControlEntry objects associated with this ACL.
  Returns:
    array of AccessControlEntry objects associated with this ACL
  Throws:
    `IfsException` - if operation fails.

### getGrantedAccessLevel

    public AccessLevel getGrantedAccessLevel()
                                      throws IfsException

  Returns the access level for the current user.
  Returns:
    AccessLevel corresponding to the current user
  Throws:
    `IfsException` - if the operation fails

### getGrantedAccessLevel

    public AccessLevel getGrantedAccessLevel(S_DirectoryUser user)
                                      throws IfsException

  Returns the access level for the specified user.
  Parameters:
    `user` - user whose access level is to be determined
  Returns:
    AccessLevel corresponding to the specified user
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD